<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseCompanyPersonMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseCompanyPerson">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="company_code" property="companyCode" />
        <result column="company_name" property="companyName" />
        <result column="fire_control_phone" property="fireControlPhone" />
        <result column="fire_duty_name" property="fireDutyName" />
        <result column="fire_duty_idcard" property="fireDutyIdcard" />
        <result column="fire_duty_phone" property="fireDutyPhone" />
        <result column="fire_manage_name" property="fireManageName" />
        <result column="fire_manage_idcard" property="fireManageIdcard" />
        <result column="fire_manage_phone" property="fireManagePhone" />
        <result column="part_time_fire_name" property="partTimeFireName" />
        <result column="part_time_fire_idcard" property="partTimeFireIdcard" />
        <result column="part_time_fire_phone" property="partTimeFirePhone" />
        <result column="delegate_name" property="delegateName" />
        <result column="delegate_idcard" property="delegateIdcard" />
        <result column="delegate_phone" property="delegatePhone" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="update_person" property="updatePerson" />
        <result column="creator" property="creator" />
    </resultMap>

</mapper>
